Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #91  
Old 12 Oct 2013, 03:37
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by meaters View Post
I hope Paul M reads this, he's been away all day.
I do have a life outside of forums, aside from the fact I work during the day.
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #92  
Old 12 Oct 2013, 04:47
AusPhotography's Avatar
AusPhotography AusPhotography is offline
 
Join Date: Nov 2007
Real name: Rick-owner, Kym-admin
for those with issues...
1. The 4.2.2 upgrade is very solid! (i.e. a vanilla vB site wont have problems)
2. All the issues we have had are due to add-ons (in test)
3. I'm waiting for DBtech and a few others to remediate their products
4. You have the option of suppressing the errors, but that has side effects (i.e. you miss errors that really need to be dealt with)
__________________
www.AusPhotography.net.au a.k.a. AP is a photography forum where members share their photography, photo editing skills and techniques. We run regular photographic competitions; Rick (site owner) and Kym (site tech) using this account
*** Home of the AP fully comprehensive vb4 photographic competition management solution ***
Reply With Quote
  #93  
Old 12 Oct 2013, 10:54
Peafor Peafor is offline
 
Join Date: Aug 2011
Originally Posted by Paul M View Post
Im curious why people resort to editing files before trying the options already provided.

http://www.vbulletin.com/forum/forum...66#post4000466


I havent seen anyone mention they tried this option first.
I wanted to try it but all the errors had locked me out of the admin panel, I couldn't get in to turn them off.

--------------- Added 12 Oct 2013 at 10:59 ---------------

Originally Posted by ForceHSS View Post
Install the version you had before the updating of 4.2.2 when you run the upgrade.php you will see a option before you click the upgrade if you dont understand I can post a screenshot
Thanks for taking the time to reply. I couldn't get that far, it kept saying the install folder was not there, when it was.

I've given up now and reverted to the last safe version I had, lost two days of posts but our members are great and we will get over it. It was not worth any more stress or loss of sleep.

One thing I can't understand is that I have two forums, identical in every way except content. What I do to one I do the the other. They are on the same server. I upgraded one without a problem, that is why I assumed the 2nd would be just as easy, it wasn't and produced all these errors. :huh:

Hey ho, life is too short for stressing.

Thanks for your help though, appreciated.

Good luck with everyone in getting your sites sorted.
Reply With Quote
  #94  
Old 12 Oct 2013, 13:35
eboggs_jkvl eboggs_jkvl is offline
 
Join Date: Feb 2005
Originally Posted by Paul M View Post
Im curious why people resort to editing files before trying the options already provided.

http://www.vbulletin.com/forum/forum...66#post4000466


I havent seen anyone mention they tried this option first.
Option 2 is what fixed the "Upload attachment" problem.

Elmer

--------------- Added 12 Oct 2013 at 13:50 ---------------

Um... one tiny little question for the coders on here.

Since I edited the class_core.php, what happens when I update to 4.2.3? Will I lose that edit and need to re-edit the file and add the lines again?

Elmer

Last edited by eboggs_jkvl; 12 Oct 2013 at 14:02.
Reply With Quote
  #95  
Old 12 Oct 2013, 14:48
Digital Jedi's Avatar
Digital Jedi Digital Jedi is offline
 
Join Date: Oct 2006
Real name: Mark Daniel Martinez
Originally Posted by eboggs_jkvl View Post
Option 2 is what fixed the "Upload attachment" problem.

Elmer

--------------- Added 12 Oct 2013 at 13:50 ---------------

Um... one tiny little question for the coders on here.

Since I edited the class_core.php, what happens when I update to 4.2.3? Will I lose that edit and need to re-edit the file and add the lines again?

Elmer
I would imagine a new version would account for it. Or if class_core hasn't had any changes between versions, you could just use it.
__________________
Reply With Quote
  #96  
Old 12 Oct 2013, 16:40
justicechick's Avatar
justicechick justicechick is offline
 
Join Date: Oct 2012
Originally Posted by Paul M View Post
Im curious why people resort to editing files before trying the options already provided.

http://www.vbulletin.com/forum/forum...66#post4000466


I havent seen anyone mention they tried this option first.
I tried it...didnt work. I've seen some say they went back to 4.2.1, yet Ive also read that once you upgrade you cant revert ?????

As someone that is new to all of this I would much rather not have to be doing walk arounds and rigging to get things to work that typically should never cross my mind. However, Ive been at it since the upgrade started throwing off the time zone error right on up until now, I fix one things and find another.

--------------- Added 12 Oct 2013 at 16:50 ---------------

Originally Posted by Digital Jedi View Post
I would imagine a new version would account for it. Or if class_core hasn't had any changes between versions, you could just use it.
Im wondering the same thing. I was dealing with a qwa.qwa@qa that kept putting themselves into the usergroup admin, regardless how many times we banned them. So I was looking for a solutions to keep them out or else I would have stayed with my 4.2.1... To bad I found out to late that I needed to delete the entire install directory, not just the install/install.php! LOL I traded one problem for what seems like a entire apple cart full of them. Thankfully there are some smart ppl here that always seem to have the answer for anyone who can follow a few directions.
Reply With Quote
  #97  
Old 12 Oct 2013, 19:23
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by Peafor View Post
I wanted to try it but all the errors had locked me out of the admin panel, I couldn't get in to turn them off.
Then you would need to disable hooks via the config file, then login and turn the option on. You could then re-enabled hooks.
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #98  
Old 12 Oct 2013, 19:28
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by justicechick View Post
I tried it...didnt work. I've seen some say they went back to 4.2.1, yet Ive also read that once you upgrade you cant revert ?????
Please be more than specific than "didnt work". Id like to know under what circumstancs it would not work.

As for reverting, there are no database changes from 4.2.1 to 4.2.2, so you could quite easily re-upload 4.2.1 and it would work.
I would suggest if you did this that you turn debug mode on and reset the version back to 4.2.1 in Options > Untouchables (then turn debug back off).
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #99  
Old 13 Oct 2013, 00:36
justicechick's Avatar
justicechick justicechick is offline
 
Join Date: Oct 2012
Originally Posted by Paul M View Post
Please be more than specific than "didnt work". Id like to know under what circumstancs it would not work.

As for reverting, there are no database changes from 4.2.1 to 4.2.2, so you could quite easily re-upload 4.2.1 and it would work.
I would suggest if you did this that you turn debug mode on and reset the version back to 4.2.1 in Options > Untouchables (then turn debug back off).
I try the setting in options > Plugins > PHP Compatability. Turning it on alone didnt solve the error codes I was getting. I did the code edit , I had seen

(2. For those who feel comfortable with editing files.

In class_core.php locate lines 5683-5685 (class_core.php is in the 'includes' folder)
Code:

case E_NOTICE:
// Just ignore these completely //
break;

Add lines for Deprecated and/or Strict errors as required ;

Code:

case E_NOTICE:
case E_STRICT:
case E_DEPRECATED:
// Just ignore these completely //
break;

This will bypass the additional error reporting. )

And its working fine now. Thanks
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 00:49.

Layout Options | Width: Wide Color: